%define enable_multilib 0

%global DATE 20191207
%define gcc_version		9.2.0
%define __gnuversion		9.2.0
%define __gnufullversion	9.2.0
#%define __cvscodate		svn20061005
%define __unamer		%(uname -r)
%define __arch			%(uname -p)
%ifarch ppc ppc64
%define __arch64		ppc64
%else
%define __arch64		x86_64
%endif

#%define gcc_target_platform %{__arch}-apple-darwin%{__unamer}
%define gcc_target_platform32 i686-apple-darwin%(uname -r | cut -f1 -d.)
%define gcc_target_platform64 x86_64-apple-darwin%(uname -r | cut -f1 -d.)

Summary: The GNU Compiler Collection: gcc, g++, d, and g95
Name: gcc
%define version %{__gnuversion}
Version: %{version}
#Release: %{__cvscodate}b
Release: 3%{?_dist_release}
#Source: localhost:/%{name}-%{version}-%{__cvscodate}.tar.gz
#Source: %{name}-%{version}-%{DATE}.tar.bz2
#Source0: gcc-%{version}.tar.bz2
Source0: gcc-%{version}.tar.xz
Source1: osxws-setup-gcc.sh

Patch100: gcc-4.4.3-frt.patch
Patch101: gcc-4.8.4-macosx10.10.patch
Patch102: 9.2.0-catalina.patch

Group: Development/Languages
License: Apple Public Source License, GPL
BuildRoot: %{_tmppath}/%{name}-root
Requires(post): alternatives
Requires(postun): alternatives
Requires: alternatives gmp mpfr libmpc isl
BuildRequires: gmp-devel mpfr-devel libmpc-devel isl-devel
Provides: gcc = %{version}
Obsoletes: gcc48

Vendor:       OSX WorkShop
Distribution: OSX WorkShop
#BuildArch: fat
ExclusiveArch: x86_64

%description
The GNU Compiler Collection: gcc, g++, and gfortran.

%prep
%setup -q -n gcc-%{version}

#%patch100 -p0 -b .frt
#%patch101 -p1 -b .macosx10.10
%patch102 -p1 -b .macosx10.15

%build
export CPPFLAGS='-I%{_prefix}/include'
%if %{enable_multilib}
MULTILIB="--enable-multilib"
%else
MULTILIB="--disable-multilib"
%endif
./configure \
	--prefix=%{_prefix} --includedir=%{_prefix}/include --sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} --datadir=%{_datadir} --infodir=%{_infodir} \
	--with-sysroot=/Library/Developer/CommandLineTools/SDKs/MacOSX10.14.sdk \
	--enable-languages=c,c++,objc,obj-c++,fortran \
	--with-gmp-lib=%{_prefix}/lib --with-gmp-include=%{_prefix}/include \
	--with-mpfr-lib=%{_prefix}/lib --with-mpfr-include=%{_prefix}/include \
	--with-isl=%{_prefix} \
	--with-gxx-include-dir=%{_prefix}/include/c++/%{gcc_version} \
	--enable-shared --enable-threads=posix --enable-checking=release \
	--enable-bootstrap --with-system-zlib \
	--disable-nls \
	--build=%{gcc_target_platform64} \
	--host=%{gcc_target_platform64} \
	--target=%{gcc_target_platform64} \
	${MULTILIB} \
 	--enable-stage1-checking \
#	--disable-checking --enable-werror \
#	--enable-threads --disable-nls --disable-build-with-cxx \
#	--enable-gather-detailed-mem-stats --enable-decimal-float
#	AR="ar" AS="as" DLLTOOL="dlltool" LIPO="lipo" NM="nm" \
#	OBJCOPY='objcopy' OBJDUMP='objdump' WINDMC='windmc' WINDRES='windres'
#	--enable-fully-dynamic-string
#	--oldincludedir=/Library/Developer/CommandLineTools/SDKs/MacOSX10.14.sdk/usr/include \

make %{?_smp_mflags} bootstrap
#make


%install
rm -rf %{buildroot}
export CPPFLAGS='-I%{_prefix}/include'
make install DESTDIR=%{buildroot}

[ -f altflist.b ] && rm -f altflist.b ||:
[ -f altflist.l ] && rm -f altflist.l ||:

# Remove unwanted files
rm -f %{buildroot}%{_libdir}/lib*.la
rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{_bindir}/*darwin*darwin*

# rename x86_64 bin
pushd %{buildroot}%{_bindir}
  for i in `\ls |grep -v %{gcc_target_platform64}`
    do
    if [ -f "$i" ] ; then
      mv -f $i $i-%{_arch}-%{gcc_version}
      echo "--slave   %%{_bindir}/${i} ${i} %%{_bindir}/${i}-%%{_arch}-%%{gcc_version} \\" >> \
	%{_builddir}/%{name}-%{version}/altflist.b
	#"
    fi
  done
popd


# for alternatives
pushd %{buildroot}%{_bindir}
  for i in %{gcc_target_platform64}-*
  do
    if [ -f "$i" ] ; then
      mv -f $i $i-%{gcc_version}
      echo "--slave   %%{_bindir}/${i} ${i} %{_bindir}/${i}-%%{gcc_version} \\" >> \
	%{_builddir}/%{name}-%{version}/altflist.b
      #" ln -sf $i-%{gcc_version} $i
    fi
  done
  rm -f %{gcc_target_platform64}-gcc
popd
pushd %{buildroot}%{_libdir}
  rm -f libgcc_s_x86_64.1.dylib libgcc_s_ppc64.1.dylib
  for i in lib*.dylib lib*.a lib*.o lib*.so \
	lib*.spec lib*.py x86_64/libiberty.a; do
    if [ -f "$i" ] ; then
      mv -f $i $i-%{gcc_version}
      chmod 755 $i-%{gcc_version}
      echo "--slave   %%{_libdir}/${i} ${i} %{_libdir}/${i}-%%{gcc_version} \\" >> \
	%{_builddir}/%{name}-%{version}/altflist.l
      #" ln -sf $i-%{gcc_version} $i
    else
      # remove link files
      rm -f $i ||:
    fi
  done
popd
#rm -f %{buildroot}%{_libdir}/{libasan,libatomic}.dylib
#rm -f %{buildroot}%{_libdir}/{libstdc++,libgfortran,libquadmath}.dylib
#rm -f %{buildroot}%{_libdir}/{libgomp,libobjc-gnu,libssp,libitm}.dylib

# for osxws-setup-gcc
mkdir -p %{buildroot}%{_libdir}/gcc/Packages
#install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/osxws-setup-gcc
cat << 'EOF' > %{buildroot}/%{_bindir}/osxws-setup-gcc
#!/bin/bash

PKGDIR="%{_libdir}/gcc/Packages/"
COMMAND=${0##*/}

if [ 0 -eq $# ]; then
	echo "Usage: $COMMAND {auto|gcc|llvm}"
	exit 0
fi

if [ "$USER" != "root" ]; then
	echo "$COMMAND: please execute by root user"
	exit 0
fi

for PKG in ${PKGDIR}/*
do
	${PKG} $@
done
EOF
chmod 755 %{buildroot}/%{_bindir}/osxws-setup-gcc

cat << 'EOF' > %{buildroot}/%{_libdir}/gcc/Packages/%{name}
#!/bin/bash

if [ "$USER" != "root" ]; then
	echo "  please execute by root user"
	exit 0
fi

case $1 in
	auto)
		echo "  setup: gcc to auto"
		%{_sbindir}/alternatives --auto gcc;;
	gcc)
		echo "  setup: gcc to gcc"
		%{_sbindir}/alternatives --set gcc %{_bindir}/gcc-%{_arch}-%{gcc_version};;
	llvm|clang)
		echo "  setup: gcc to llvm clang"
		%{_sbindir}/alternatives --set gcc /usr/bin/clang;;
	*) echo "$0: unknown argument: $1";;
esac
EOF
chmod 755 %{buildroot}/%{_libdir}/gcc/Packages/%{name}

# Make list of files in the package

find %{buildroot} -type f > list.f
find %{buildroot} -type l > list.l
sed -e "s;%{buildroot};;" list.f > list.new
mv list.new list.f
sed -e "s,%{buildroot},," list.l > list.new
mv list.new list.l
cat list.l >> list.f
cat list.f | sed -e 's;\(%{_mandir}/.*/.*\..*\);\1*;' \
	         -e 's;\(%{_infodir}/.*\..*\);\1*;' > list.new
mv list.new list.f

%clean
rm -rf %{buildroot}

%post
# this package (default)
%{_sbindir}/alternatives \
  --install %{_bindir}/gcc gcc %{_bindir}/gcc-%{_arch}-%{gcc_version} 30 \
  --slave   %{_bindir}/cc  cc  %{_bindir}/gcc-%{_arch}-%{gcc_version} \
  --slave   %{_bindir}/c++ c++ %{_bindir}/c++-%{_arch}-%{gcc_version} \
  --slave   %{_bindir}/cpp cpp %{_bindir}/cpp-%{_arch}-%{gcc_version} \
  --slave   %{_bindir}/g++ g++ %{_bindir}/g++-%{_arch}-%{gcc_version} \
  --slave   %{_bindir}/gcc-ar gcc-ar %{_bindir}/gcc-ar-%{_arch}-%{gcc_version} \
  --slave   %{_bindir}/gcc-nm gcc-nm %{_bindir}/gcc-nm-%{_arch}-%{gcc_version} \
  --slave   %{_bindir}/gcc-ranlib gcc-ranlib %{_bindir}/gcc-ranlib-%{_arch}-%{gcc_version} \
  --slave   %{_bindir}/gcov gcov %{_bindir}/gcov-%{_arch}-%{gcc_version} \
  --slave   %{_bindir}/gcov-tool gcov-tool %{_bindir}/gcov-tool-%{_arch}-%{gcc_version} \
  --slave   %{_bindir}/gfortran gfortran %{_bindir}/gfortran-%{_arch}-%{gcc_version} \
  --slave   %{_bindir}/%{gcc_target_platform64}-c++ %{gcc_target_platform64}-c++ %{_bindir}/%{gcc_target_platform64}-c++-%{gcc_version} \
  --slave   %{_bindir}/%{gcc_target_platform64}-g++ %{gcc_target_platform64}-g++ %{_bindir}/%{gcc_target_platform64}-g++-%{gcc_version} \
  --slave   %{_bindir}/%{gcc_target_platform64}-gcc %{gcc_target_platform64}-gcc %{_bindir}/%{gcc_target_platform64}-gcc-%{gcc_version} \
  --slave   %{_bindir}/%{gcc_target_platform64}-gcc-%{gcc_version} %{gcc_target_platform64}-gcc-%{gcc_version} %{_bindir}/%{gcc_target_platform64}-gcc-%{gcc_version}-%{gcc_version} \
  --slave   %{_bindir}/%{gcc_target_platform64}-gcc-ar %{gcc_target_platform64}-gcc-ar %{_bindir}/%{gcc_target_platform64}-gcc-ar-%{gcc_version} \
  --slave   %{_bindir}/%{gcc_target_platform64}-gcc-nm %{gcc_target_platform64}-gcc-nm %{_bindir}/%{gcc_target_platform64}-gcc-nm-%{gcc_version} \
  --slave   %{_bindir}/%{gcc_target_platform64}-gcc-ranlib %{gcc_target_platform64}-gcc-ranlib %{_bindir}/%{gcc_target_platform64}-gcc-ranlib-%{gcc_version} \
  --slave   %{_bindir}/%{gcc_target_platform64}-gfortran %{gcc_target_platform64}-gfortran %{_bindir}/%{gcc_target_platform64}-gfortran-%{gcc_version} \
  --slave   %{_libdir}/libasan.5.dylib libasan.5.dylib %{_libdir}/libasan.5.dylib-%{gcc_version} \
  --slave   %{_libdir}/libatomic.1.dylib libatomic.1.dylib %{_libdir}/libatomic.1.dylib-%{gcc_version} \
  --slave   %{_libdir}/libgcc_ext.10.4.dylib libgcc_ext.10.4.dylib %{_libdir}/libgcc_ext.10.4.dylib-%{gcc_version} \
  --slave   %{_libdir}/libgcc_ext.10.5.dylib libgcc_ext.10.5.dylib %{_libdir}/libgcc_ext.10.5.dylib-%{gcc_version} \
  --slave   %{_libdir}/libgcc_s.1.dylib libgcc_s.1.dylib %{_libdir}/libgcc_s.1.dylib-%{gcc_version} \
  --slave   %{_libdir}/libgfortran.5.dylib libgfortran.5.dylib %{_libdir}/libgfortran.5.dylib-%{gcc_version} \
  --slave   %{_libdir}/libgomp.1.dylib libgomp.1.dylib %{_libdir}/libgomp.1.dylib-%{gcc_version} \
  --slave   %{_libdir}/libitm.1.dylib libitm.1.dylib %{_libdir}/libitm.1.dylib-%{gcc_version} \
  --slave   %{_libdir}/libobjc-gnu.4.dylib libobjc-gnu.4.dylib %{_libdir}/libobjc-gnu.4.dylib-%{gcc_version} \
  --slave   %{_libdir}/libquadmath.0.dylib libquadmath.0.dylib %{_libdir}/libquadmath.0.dylib-%{gcc_version} \
  --slave   %{_libdir}/libssp.0.dylib libssp.0.dylib %{_libdir}/libssp.0.dylib-%{gcc_version} \
  --slave   %{_libdir}/libstdc++.6.dylib libstdc++.6.dylib %{_libdir}/libstdc++.6.dylib-%{gcc_version} \
  --slave   %{_libdir}/libubsan.0.dylib libubsan.0.dylib %{_libdir}/libubsan.0.dylib-%{gcc_version} \
  --slave   %{_libdir}/libatomic.a libatomic.a %{_libdir}/libatomic.a-%{gcc_version} \
  --slave   %{_libdir}/libgfortran.a libgfortran.a %{_libdir}/libgfortran.a-%{gcc_version} \
  --slave   %{_libdir}/libgomp.a libgomp.a %{_libdir}/libgomp.a-%{gcc_version} \
  --slave   %{_libdir}/libitm.a libitm.a %{_libdir}/libitm.a-%{gcc_version} \
  --slave   %{_libdir}/libobjc-gnu.a libobjc-gnu.a %{_libdir}/libobjc-gnu.a-%{gcc_version} \
  --slave   %{_libdir}/libquadmath.a libquadmath.a %{_libdir}/libquadmath.a-%{gcc_version} \
  --slave   %{_libdir}/libssp.a libssp.a %{_libdir}/libssp.a-%{gcc_version} \
  --slave   %{_libdir}/libssp_nonshared.a libssp_nonshared.a %{_libdir}/libssp_nonshared.a-%{gcc_version} \
  --slave   %{_libdir}/libstdc++.a libstdc++.a %{_libdir}/libstdc++.a-%{gcc_version} \
  --slave   %{_libdir}/libstdc++fs.a libstdc++fs.a %{_libdir}/libstdc++fs.a-%{gcc_version} \
  --slave   %{_libdir}/libsupc++.a libsupc++.a %{_libdir}/libsupc++.a-%{gcc_version} \
  --slave   %{_libdir}/libasan_preinit.o libasan_preinit.o %{_libdir}/libasan_preinit.o-%{gcc_version} \
  --slave   %{_libdir}/libcc1.0.so libcc1.0.so %{_libdir}/libcc1.0.so-%{gcc_version} \
  --slave   %{_libdir}/libgfortran.spec libgfortran.spec %{_libdir}/libgfortran.spec-%{gcc_version} \
  --slave   %{_libdir}/libgomp.spec libgomp.spec %{_libdir}/libgomp.spec-%{gcc_version} \
  --slave   %{_libdir}/libitm.spec libitm.spec %{_libdir}/libitm.spec-%{gcc_version} \
  --slave   %{_libdir}/libsanitizer.spec libsanitizer.spec %{_libdir}/libsanitizer.spec-%{gcc_version} \
  --slave   %{_libdir}/libstdc++.a-gdb.py libstdc++.a-gdb.py %{_libdir}/libstdc++.a-gdb.py-%{gcc_version}

# Apple 8.0.0 llvm default
%{_sbindir}/alternatives \
  --install %{_bindir}/gcc gcc /usr/bin/clang 20 \
  --slave   %{_bindir}/cc  cc  /usr/bin/clang \
  --slave   %{_bindir}/g++ g++ /usr/bin/clang++ \
  --slave   %{_bindir}/c++ c++ /usr/bin/clang++ \
  --slave %{_bindir}/cpp cpp    /usr/bin/cpp \
  --slave %{_bindir}/gcov gcov    /usr/bin/gcov \
  --slave %{_libdir}/libgcc_s.1.dylib libgcc_s.1.dylib /usr/lib/libgcc_s.1.dylib \
  --slave %{_libdir}/libgcc_s.10.4.tbd libgcc_s.10.4.tbd /usr/lib/libgcc_s.10.4.tbd \
  --slave %{_libdir}/libgcc_s.10.5.tbd libgcc_s.10.5.tbd /usr/lib/libgcc_s.10.5.tbd \
  --slave %{_libdir}/libstdc++.6.dylib libstdc++.6.dylib /usr/lib/libstdc++.6.dylib

# clean up olds
%{_sbindir}/alternatives --display gcc | grep -q bin/llvm-gcc && \
        %{_sbindir}/alternatives --remove gcc /usr/bin/llvm-gcc || :
%{_sbindir}/alternatives --display gcc | grep -q bin/llvm-gcc-4.2 && \
        %{_sbindir}/alternatives --remove gcc /usr/bin/llvm-gcc-4.2 || :
%{_sbindir}/alternatives --display gcc | grep -q bin/gcc-4.2 && \
	%{_sbindir}/alternatives --remove gcc /usr/bin/gcc-4.2 || :
%{_sbindir}/alternatives --display gcc | grep -q bin/gcc-x86_64-4.8.4 && \
	%{_sbindir}/alternatives --remove gcc /usr/osxws/bin/gcc-x86_64-4.8.4 || : 
%{_sbindir}/alternatives --display gcc | grep -q bin/gcc-x86_64-5.3.0 && \
	%{_sbindir}/alternatives --remove gcc /opt/osxws/bin/gcc-x86_64-5.3.0 || :
%{_sbindir}/alternatives --display gcc | grep -q bin/gcc-x86_64-7.3.0 && \
	%{_sbindir}/alternatives --remove gcc /opt/osxws/bin/gcc-x86_64-7.3.0 || :

# fix broken symlink if it's there
if [ ! -f %{_bindir}/gcc ] ; then
  echo "%{_sbindir}/alternatives --auto gcc"
  %{_sbindir}/alternatives --auto gcc
fi

%postun
if [ $1 = 0 ]; then
  %{_sbindir}/alternatives --remove gcc %{_bindir}/gcc-%{_arch}-%{gcc_version}
  %{_sbindir}/alternatives --auto gcc
fi

%triggerpostun -- gcc < %{version}-%{release}
%{_sbindir}/alternatives --auto gcc

%files -f list.f
%defattr(-,root,wheel)
%dir %{_prefix}/include/c++/%{__gnuversion}
%dir %{_prefix}/include/c++/%{__gnuversion}/backward
%dir %{_prefix}/include/c++/%{__gnuversion}/bits
%dir %{_prefix}/include/c++/%{__gnuversion}/debug
%dir %{_prefix}/include/c++/%{__gnuversion}/ext
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail
#%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/basic_tree_policy
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/bin_search_tree_
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/binary_heap_
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/binomial_heap_
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/binomial_heap_base_
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/cc_hash_table_map_
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/eq_fn
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/gp_hash_table_map_
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/hash_fn
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/left_child_next_sibling_heap_
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/list_update_map_
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/list_update_policy
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/ov_tree_map_
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/pairing_heap_
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/pat_trie_
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/rb_tree_map_
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/rc_binomial_heap_
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/resize_policy
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/splay_tree_
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/thin_heap_
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/tree_policy
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/trie_policy
%dir %{_prefix}/include/c++/%{__gnuversion}/ext/pb_ds/detail/unordered_iterator
#%dir %{_prefix}/include/c++/%{__gnuversion}/%{gcc_target_platform32}
#%dir %{_prefix}/include/c++/%{__gnuversion}/%{gcc_target_platform32}/bits
%if %{enable_multilib}
%dir %{_prefix}/include/c++/%{__gnuversion}/%{gcc_target_platform32}/%{__arch64}
%dir %{_prefix}/include/c++/%{__gnuversion}/%{gcc_target_platform32}/%{__arch64}/bits
%endif
%dir %{_prefix}/include/c++/%{__gnuversion}/%{gcc_target_platform64}
%dir %{_prefix}/include/c++/%{__gnuversion}/%{gcc_target_platform64}/bits
%if %{enable_multilib}
%dir %{_prefix}/include/c++/%{__gnuversion}/%{gcc_target_platform64}/i386
%dir %{_prefix}/include/c++/%{__gnuversion}/%{gcc_target_platform64}/i386/bits
%endif
%dir %{_prefix}/include/c++/%{__gnuversion}/parallel
%dir %{_prefix}/include/c++/%{__gnuversion}/tr1
#%dir %{_prefix}/include/c++/%{__gnuversion}/tr1_impl

#%dir %{_prefix}/lib/gcc/%{gcc_target_platform32}/%{__gnufullversion}
#%dir %{_prefix}/lib/gcc/%{gcc_target_platform32}/%{__gnufullversion}/finclude
#%dir %{_prefix}/lib/gcc/%{gcc_target_platform32}/%{__gnufullversion}/include
#%dir %{_prefix}/lib/gcc/%{gcc_target_platform32}/%{__gnufullversion}/include/ssp
#%dir %{_prefix}/lib/gcc/%{gcc_target_platform32}/%{__gnufullversion}/include-fixed
#%dir %{_prefix}/lib/gcc/%{gcc_target_platform32}/%{__gnufullversion}/install-tools
#%dir %{_prefix}/lib/gcc/%{gcc_target_platform32}/%{__gnufullversion}/install-tools/include
%if %{enable_multilib}
%dir %{_prefix}/lib/gcc/%{gcc_target_platform32}/%{__gnufullversion}/%{__arch64}
%endif
%dir %{_prefix}/lib/gcc/%{gcc_target_platform64}/%{__gnufullversion}
%dir %{_prefix}/lib/gcc/%{gcc_target_platform64}/%{__gnufullversion}/finclude
%dir %{_prefix}/lib/gcc/%{gcc_target_platform64}/%{__gnufullversion}/include
%dir %{_prefix}/lib/gcc/%{gcc_target_platform64}/%{__gnufullversion}/include/ssp
%dir %{_prefix}/lib/gcc/%{gcc_target_platform64}/%{__gnufullversion}/include-fixed
%dir %{_prefix}/lib/gcc/%{gcc_target_platform64}/%{__gnufullversion}/install-tools
%dir %{_prefix}/lib/gcc/%{gcc_target_platform64}/%{__gnufullversion}/install-tools/include
%if %{enable_multilib}
%dir %{_prefix}/lib/gcc/%{gcc_target_platform64}/%{__gnufullversion}/i386
%endif

#%dir %{_prefix}/libexec/gcc/%{gcc_target_platform32}/%{__gnufullversion}
#%dir %{_prefix}/libexec/gcc/%{gcc_target_platform32}/%{__gnufullversion}/install-tools
%dir %{_prefix}/libexec/gcc/%{gcc_target_platform64}/%{__gnufullversion}
%dir %{_prefix}/libexec/gcc/%{gcc_target_platform64}/%{__gnufullversion}/install-tools

%changelog
* Wed Jan 22 2020 FUJII Keisuke <keisuke.fujii@kek.jp> 9.2.0-3
- new upstream release
- added patch 102
- for OSXWS-10.15

* Tue Dec 24 2019 FUJII Keisuke <keisuke.fujii@kek.jp> 9.2.0-3
- new upstream release
- added patch 102
- for OSXWS-10.14

* Sat Dec 21 2019 KOBAYASHI Taizo <tkoba965@me.com> 9.2.0-1
- new upstream release
- for OSXWS-10.14

* Mon Dec 24 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 7.3.0-1
- for OSXWS-10.14 built with MacOSX WX 10.13

* Sun Apr 01 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 7.3.0-1
- new upstream release
- for OSXWS-10.13

* Sat Dec 03 2016 KOBAYASHI Taizo <tkoba965@me.com> 6.2.0-1
- new upstream release
- for OSXWS-10.12
- alternatives setting: clean up 5.3.0

* Thu Dec 10 2015 KOBAYASHI Taizo <tkoba965@me.com> 5.3.0-1
- new upstream release
- for OSXWS-10.11
- alternatives setting: clean up 4.8.4

* Mon Feb 09 2015 KOBAYASHI Taizo <tkoba965@me.com> 4.8.4-2
- alternatives setting: clean up 4.8.2

* Wed Dec 24 2014 FUJII Keisuke <keisuke.fujii@kek.jp> 4.8.4-1
- 1st release on MacOSX 10.10

* Tue Aug 12 2014 KOBAYASHI Taizo <tkoba965@me.com> 4.8.2-2
- alternatives setting: llvm-gcc -> clang

* Mon Jun 16 2014 KOBAYASHI Taizo <tkoba965@me.com> 4.8.2-1
- add Obsoletes gcc47

* Fri May 09 2014 KOBAYASHI Taizo <tkoba965@me.com> 4.8.2-0
- new upstream release
- for OSX 10.9

* Thu May 02 2013 KOBAYASHI Taizo <tkoba965@me.com> 4.7.1-1
- new upstream release

* Thu May 02 2013 KOBAYASHI Taizo <tkoba965@me.com> 4.7.2-2
- clean up old entries for alternatives

* Mon Apr 08 2013 KOBAYASHI Taizo <tkoba965@me.com> 4.7.2-1
- new upstream release
- OSXWS 10.8

* Fri Feb 03 2012 KOBAYASHI Taizo <tkoba965@me.com> 4.6.2-1
- new upstream release
- OSXWS 10.7

* Sat Feb 12 2011 Akihiro Uchida <uchida@ike-dyn.ritsumei.ac.jp> 4.5.1-6
- add lib{gomp,objc-gnu,ssp}*.dylib to update-altenatives
- add libmpc-devel to BuildRequires

* Tue Feb 01 2011 KOBAYASHI Taizo <tkoba965@me.com> 4.5.1-5
- add symlink of libstdc++.dylib and libgfortran.dylib

* Fri Nov 12 2010 KOBAYASHI Taizo <tkoba965@me.com> 4.5.1-4
- drop x86_64 bin of i686-apple-darwin10 bins
- add *-32 links for making i386 bin

* Fri Sep 10 2010 KOBAYASHI Taizo <tkoba965@me.com> 4.5.1-2
- use configure options from MacPorts gcc45

* Tue Sep 07 2010 KOBAYASHI Taizo <tkoba965@me.com> 4.5.1-1
- new upstream release

* Tue Sep 07 2010 KOBAYASHI Taizo <tkoba965@me.com> 4.4.4-1
- new upstream release

* Mon Aug 30 2010 KOBAYASHI Taizo <tkoba965@me.com> 4.4.3-7
- rebuild with gmp-5.0.1 and mpfr-3.0.0-p3

* Fri Mar 19 2010 KOBAYASHI Taizo <tkoba965@me.com> 4.4.3-6
- added more pr41260 patch against gcc/config/darwin9.h
  Thanks' Fujii-san!

* Tue Mar 16 2010 KOBAYASHI Taizo <tkoba965@me.com> 4.4.3-5
- added pr41260 patch for libgcc_s link problem
  Thanks' Fujii-san!

* Mon Mar 15 2010 KOBAYASHI Taizo <tkoba965@me.com> 4.4.3-4
- include some pathces from Vine gcc-4.4.3-3

* Fri Mar 05 2010 KOBAYASHI Taizo <tkoba965@me.com> 4.4.3-3
- fix aluternatives scripts:
  gcc_target_platform to gcc_target_platform32 and gcc_target_platform64

* Wed Mar 03 2010 KOBAYASHI Taizo <tkoba965@me.com> 4.4.3-2
- drop --program-transform-name to configure

* Wed Feb 10 2010 KOBAYASHI Taizo <tkoba965@me.com> 4.4.3-1
- new upstream release
- BuildArch fat
- for OSXWS 10.6

* Sat Jun 28 2008 KOBAYASHI Taizo <tkoba965@me.com> 4.3.0-10.5hepx1d
- drop libstdc++.dylib because Apple's GCC does not include it.
- libgcc_s.*.dylib and libstdc++.6.dylib are managed under the alternatives.

* Wed May 14 2008 KOBAYASHI Taizo <tkoba965@me.com> 4.3.0-10.5hepx1c
- using alternatives

* Thu Mar 27 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 4.3.0-10.5hepx1b
- 1st build on MacOS X 10.5 for ppc Macs
- gcc.spec modified to accomodate ppc architecture.

* Sat Mar 22 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 4.3.0-10.5hepx1a
- 1st build on MacOS X 10.5 for Intel Macs

* Tue Mar 18 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 4.3.0-1a
- 1st build on MacOS X 10.5 for Intel Macs

* Wed Apr 18 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 4.2.0-svn20061005b
- 2nd build on MacOS X 10.4 for Intel Macs with gettext-0.16.2.

* Thu Oct 05 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 4.2.0-svn20061005a
- 1st build on MacOS X 10.4 for Intel Macs.

* Fri Nov 25 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-svn20051124b
- 11th build on MacOS X 10.4.
- disabled gthread for libgfortran

* Thu Nov 24 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-svn20051124a
- 10th build on MacOS X 10.4.

* Mon Nov  7 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20051004b
- 9th build on MacOS X 10.4.
- added lang-specs patch.

* Tue Oct  4 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20051004a
- 8th build on MacOS X 10.4.

* Tue Sep 27 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050927a
- 7th build on MacOS X 10.4.
- applied csqrt patch.

* Thu Sep 22 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050921c
- 6th build on MacOS X 10.4.
- applied noauto and csqrt patches.

* Sun Sep 18 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050918a
- 5th build on MacOS X 10.4.

* Mon Aug 29 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050829a
- 4th build on MacOS X 10.4.

* Tue Jul 19 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050719a
- 3rd build on MacOS X 10.4.
- applied noauto patche.

* Wed Jun 29 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050629a
- 2nd build on MacOS X 10.4.
- applied hollerith and noauto patches.

* Wed Jun 22 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050622a
- 2nd build on MacOS X 10.4.
- applied hollerith and noauto patches.

* Sat Jun  4 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 4.1.0-cvs20050528a
- 1st build on MacOS X 10.4.
- applied hollerith patch.

